Upstream information

CVE-2011-4091 at MITRE

Description

The libobby server in inc/server.hpp in libnet6 (aka net6) before 1.3.14 does not perform authentication before checking the user name, which allows remote attackers to obtain sensitive information such as server-usage patterns by a particular user and color preferences.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 727708 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.3
  • net6-debuginfo >= 1.3.14-0.3.1
  • net6-debugsource >= 1.3.14-0.3.1
openSUSE 11.3
openSUSE 11.4
  • net6 >= 1.3.14-0.3.1
  • net6-devel >= 1.3.14-0.3.1
  • net6-lang >= 1.3.14-0.3.1
openSUSE 11.4
  • net6 >= 1.3.14-0.3.1
  • net6-debuginfo >= 1.3.14-0.3.1
  • net6-debugsource >= 1.3.14-0.3.1
  • net6-devel >= 1.3.14-0.3.1
  • net6-lang >= 1.3.14-0.3.1
Patchnames:
net6
openSUSE Tumbleweed
  • net6 >= 1.3.14-12.8
  • net6-devel >= 1.3.14-12.8
  • net6-lang >= 1.3.14-12.8
Patchnames:
openSUSE Tumbleweed GA net6